package media.network;
import java.net.*;
import java.io.*;
import java.util.*;

public class TCPServer extends Thread{

    //Private Variable Declaration
    private Network net;
    private ServerSocket server;

    public TCPServer(Network net){
	this.net = net;
	try{
	    server = new ServerSocket(8888);
	}catch(IOException e){
	    System.out.println("Error: COuld not create the server socket");
	}
    }

    public void run( ){
	Socket socket = null;
	while(true){
	    try{
		socket = server.accept( );		
		TCPClient client = new TCPClient(net,socket);
		client.start( );
	    }catch(IOException e){
		System.out.println("Error:Could not listen for the clients");
	    }
	}//end while
    }//end of method
}//end of class
